<div class="pagination_wrapper d-flex align-items-center justify-content-center">
	<p class="pagination-elements" 
		ng-if="$ctrl.btn_previous"
		ng-click="$ctrl.first_page()">
		First Page
	</p>
	<p class="pagination-elements" 
		ng-if="$ctrl.btn_previous"
		style="width: 35px;"
		ng-click="$ctrl.previous()">
		<i class="fa fa-angle-left"></i>
	</p>
	<p 
		class="pagination-elements" 
		ng-click="$ctrl.page_click(pagi)"
		ng-class="{active:pagi==$ctrl.portal.pagination}" 
		ng-repeat="pagi in $ctrl.page_elements">{{pagi}}
	</p>
	
	<p class="pagination-elements-dot d-flex flex-row" ng-if="$ctrl.btn_dotdot">
		<input numbers-only
			class="pagination-input" type="text" 
			ng-change="$ctrl.quantity_changed()"
			ng-model="$ctrl.pagination.page_position"/>
		<button class="go-btn" ng-click="$ctrl.go()">Go</button>
	</p>
	<p class="pagination-elements" ng-click="$ctrl.page_click($ctrl.pagination.total_pages)" ng-if="$ctrl.btn_dotdot">{{$ctrl.pagination.total_pages}}</p>
	<p class="pagination-elements" 
		style="width: 35px;"
		ng-if="$ctrl.btn_next && $ctrl.pagination.total_pages > 1"
		ng-click="$ctrl.next()">
		<i class="fa fa-angle-right"></i>
	</p>
	<p class="pagination-elements" 
		ng-if="$ctrl.btn_next && $ctrl.pagination.total_pages > 1"
		ng-click="$ctrl.last_page()">
		Last Page
	</p>
</div>